#!/bin/bash

#PBS -N 1cell_lib
#PBS -M vincent.descotes@inl.gov
#PBS -k oe

cd $PBS_O_WORKDIR

JOB_NUM=${PBS_JOBID%%\.*}


sleep 1"s" # this allows each job not to start exactly at the same time, which hopefully will avoid collisions...

ln -s $HOME/$PBS_JOBNAME.o$JOB_NUM $PBS_JOBNAME.o$JOB_NUM
ln -s $HOME/$PBS_JOBNAME.e$JOB_NUM $PBS_JOBNAME.e$JOB_NUM

echo "SINGLE CELL CALCULATION : EXCELT-MOC METHOD, DH295, RECOVER THE MULTICOMPOS"
echo ""

   printf "Begin 1cell calculation \n" 
   rdragon4 1cell_lib.x2m
   echo ""
   sleep 1s

echo ""
echo "Verify that there were no pb in the calculation : tail of all outputs of the fuel cell calculation"

   printf "Tail of cell calculation  \n" 
   tail -n3 1cell_lib.result
   echo ""

echo ""
echo "Recover the different keff for the cell calculation, Syb method, HOM295"
   
   grep 'FINAL KEFF' 1cell_lib.result
   echo ""

echo "End of script batch_1cell_lib.sh. Check if the models where well converged and report keff"

rm $PBS_JOBNAME.o$JOB_NUM
rm $PBS_JOBNMAE.e$JOB_NUM

mv $HOME/$PBS_JOBNAME.o$JOB_NUM $PBS_JOBNAME.o$JOB_NUM
mv $HOME/$PBS_JOBNAME.e$JOB_NUM $PBS_JOBNAME.e$JOB_NUM
