#!/bin/bash

#PBS -N MikeSC1gr
#PBS -M vincent.descotes@inl.gov
#PBS -k oe

cd $PBS_O_WORKDIR

JOB_NUM=${PBS_JOBID%%\.*}


sleep 1"s" # this allows each job not to start exactly at the same time, which hopefully will avoid collisions...

ln -s $HOME/$PBS_JOBNAME.o$JOB_NUM $PBS_JOBNAME.o$JOB_NUM
ln -s $HOME/$PBS_JOBNAME.e$JOB_NUM $PBS_JOBNAME.e$JOB_NUM

echo "SUPERCELL CALCULATION : SYB METHOD, HOM295, RECOVER THE MULTICOMPOS"
echo ""

   printf "Begin supercell calculation \n" 
   rdragon4 Mike_SupCell_c18_1gr_33r.x2m Multicompo
   echo ""
   sleep 1s

echo ""
echo "Verify that there were no pb in the calculation : tail of all outputs of the fuel block calculations"

   printf "Tail of supercell calculation  \n" 
   tail -n3 Mike_SupCell_c18_1gr_33r.result
   echo ""

echo ""
echo "Recover the different keff for the supercell calculations, Syb method, HOM295"
   
   grep 'FINAL KEFF' Mike_SupCell_c18_1gr_33r.result
   echo ""

echo "End of script batch_MikeSupCell.sh. Check if the models where well converged and report keff"

rm $PBS_JOBNAME.o$JOB_NUM
rm $PBS_JOBNMAE.e$JOB_NUM

mv $HOME/$PBS_JOBNAME.o$JOB_NUM $PBS_JOBNAME.o$JOB_NUM
mv $HOME/$PBS_JOBNAME.e$JOB_NUM $PBS_JOBNAME.e$JOB_NUM
