#!/bin/bash

#PBS -N JaviCPO
#PBS -M vincent.descotes@inl.gov
#PBS -k oe

cd $PBS_O_WORKDIR

N=$PBS_ARRAYID
JOB_NUM=${PBS_JOBID%%\-*}

sleep $N"s" # this allows each job not to start exactly at the same time, which hopefully will avoid collisions...

ln -s $HOME/$PBS_JOBNAME.o$JOB_NUM $PBS_JOBNAME.o$JOB_NUM
ln -s $HOME/$PBS_JOBNAME.e$JOB_NUM $PBS_JOBNAME.e$JOB_NUM

echo "SINGLE BLOCK CALCULATIONS : EXCELT-MOC METHOD, DH295, RECOVER THE MULTICOMPOS"
echo ""

   printf "Begin fuel block calculation number %d \n" $N
   rdragon4 Javi_block_multicompos.x2m
   echo ""
   sleep 1s

echo ""
echo "Verify that there were no pb in the calculation : tail of all outputs of the fuel block calculations"

   printf "Tail of fuel block calculation number %d \n" $N
   tail -n3 Javi_block_multicompos.result
   echo ""

echo ""
echo "Recover the different keff for the fuel block calculations, MOC method, DH295"
   
echo "fuel_cell_"$N"gr_f.result"
   grep 'FINAL KEFF' Javi_block_multicompos.result
   echo ""

echo "End of script batch_multicompos.sh. Check if the models where well converged and report keff"

rm $PBS_JOBNAME.o$JOB_NUM
rm $PBS_JOBNMAE.e$JOB_NUM

mv $HOME/$PBS_JOBNAME.o$JOB_NUM $PBS_JOBNAME.o$JOB_NUM
mv $HOME/$PBS_JOBNAME.e$JOB_NUM $PBS_JOBNAME.e$JOB_NUM
