#!/bin/bash

#PBS -N Refl_void
#PBS -M vincent.descotes@inl.gov
#PBS -k oe

cd $PBS_O_WORKDIR

N=$PBS_ARRAYID
JOB_NUM=${PBS_JOBID%%\-*}

sleep $N"s" # this allows each job not to start exactly at the same time, which hopefully will avoid collisions...

ln -s $HOME/$PBS_JOBNAME.o$JOB_NUM $PBS_JOBNAME.o$JOB_NUM
ln -s $HOME/$PBS_JOBNAME.e$JOB_NUM $PBS_JOBNAME.e$JOB_NUM

echo "REFLECTOR CALCULATIONS : void, SN METHOD"
echo ""

   printf "Begin fuel block calculation number %d \n" $N
   rdragon4 Reflector_cell_$N"gr.x2m" Multicompo26 CompoF26
   echo ""
   sleep 1s

echo ""
echo "Verify that there were no pb in the calculation : tail of all outputs of the reflector calculations"

   printf "Tail of the reflector calculation with %d groups \n" $N
   tail -n3 Reflector_cell_$N"gr.result"
   echo ""

echo ""
echo "Recover the different keff for the reflector calculations, void, SN method"
   
echo "Reflector_cell_"$N"gr.result"
   grep 'FINAL KEFF' Reflector_cell_$N"gr.result"
   echo ""

echo "End of script batch_refl_b10.sh. Check if the models where well converged and report keff"

rm $PBS_JOBNAME.o$JOB_NUM
rm $PBS_JOBNMAE.e$JOB_NUM

mv $HOME/$PBS_JOBNAME.o$JOB_NUM $PBS_JOBNAME.o$JOB_NUM
mv $HOME/$PBS_JOBNAME.e$JOB_NUM $PBS_JOBNAME.e$JOB_NUM
