#! /usr/bin/env python
# -*- coding: utf-8 -*-
#
# Program  : WriteDrag2InsInp.py
# Author   : Vincent Descotes, 30/09/2010 
# Purpose  : create the input file for DRAG2INSm.f90
# Input: 3 : number of groups
#           case (0 = mimic diffusion, 1 = normal Pn method)
#           scat (order of the scattering : scat = 0/1 : isotropic / linear anisotropy)
#  Example : ./WriteDrag2InsInp.py 26 1 1
# Output   : new file DRAG2INSm.inp in current directory
#ATTENTION : the script has to be different with the supercell / 1/12th core paths (different number of XSOUT).
#

def WriteDrag2InsInp(Nbg,case,scat):
    import numpy
    import os
    INPTPATH=os.getcwd()
    print "Script WriteDrag2InsInp.py"
    print ""
# Verification of the arguments case and scat
    if case > 1 or case <0 or scat >1 or scat <0 :
        print " Your parameters for -meth- must be equal to 0 or 1 "
        raise NameError(case,scat)

    print "Writing the input for DRAG2INSm3.f90 with : "+str(Nbg)+" groups, meth "+str(case)+" "+str(scat)
    print "" 
#Opening file DRAG2INSm.inp.vtk to be written
    f = open(INPTPATH+"/"+'DRAG2INSm.inp', 'w')

#Write the begining (comments) of the vtk file.
    if (Nbg == 13):
        Nbg = 12
        print "Warning : with 13 groups, in fact the last one wasn't taken into account in DRAGON..."
        print "The file will therefore be produced with ngr 12."
        print ""
    f.write('ngr '+str(Nbg)+'\n')
    f.write('meth '+str(case)+' '+str(scat)+'\n')
    f.write('files \n')
    f.write('01 XSOUT1 micro\n')
    f.write('02 XSOUT2 micro\n')
    f.write('03 XSOUT3 micro\n')
    f.write('04 XSOUT4 micro\n')
    f.write('05 XSOUT4 micro\n')
    f.write('06 XSOUT4 micro\n')
    f.write('07 XSOUT4 micro\n')
    f.write('08 XSOUT4 micro\n')
    f.write('09 XSOUT4 micro\n')
    f.write('10 XSOUT4 micro\n')
    f.write('11 XSOUT4 micro\n')
    f.write('12 XSOUT5 micro\n')
    f.write('13 XSOUT6 micro\n')
    f.write('14 XSOUT7 micro\n')

    f.close()
    print "End of writing DRAG2INSm.inp in current directory : "+INPTPATH

# make it run as a script

if __name__ == "__main__":
    import sys
    for i in range(1,4):
        arg = sys.argv[i]
#        print arg
        try:
            int(arg)
        except NameError:
            print("Argument" + str(arg) + "is not valid. An exception has occured before entering the code") 
            raise
    WriteDrag2InsInp(int(sys.argv[1]),int(sys.argv[2]),int(sys.argv[3]))
#end
