#!/bin/sh
#
# author : V. Descotes (30/06/2010)
# use    : process the macroscopic cross-sections from the directory ./xs in an XML file inp.xml
#          containing the full-core geometry, ready to be read in INSTANT.
#          
# called : { ./transfer } 
#
#
# set -x # uncomment for debugging
#

EXECDATE=`date +"%y/%m/%d %H:%M:%S"`
Thisprog="`basename $0`"
USERNAME=descv
DIRNAME=/home/$USERNAME

INPTPath=`pwd`

echo "Running programme :" $Thisprog
echo "Object : Process the macroscopic cross-sections"
echo " to generate inp.xml for INSTANT"
echo "Input directory   :" $INPTPath
#
# check if ./xs directory exists
#
XSDir=$INPTPath/xs
if [ -d $XSDir ]; then
	echo "XS directory  :" $XSDir
else
	echo "XS directory ./xs not found in" $INPUTPath
	echo "See" $Thisprog "source code."
	exit 1
fi
#
# check for XS files in the XS directory
#
    for XS in $XSDir/*
    do
        if [ ! -e $XS ] ; then
           echo "Empty directory ./xs :" $XSDir
           exit
        else
           echo "XS file found  :" $XS
        fi
    done

#
# Check if a.out exists and process XS
#
if [ -x ./a.out ] ; then
    ./a.out 
    echo "Executable : a.out"
    echo "Process XS from ./xs"
    echo "Date       :" $EXECDATE
else
    echo "Executable file a.out not found"
    echo "Actual directory :" $INPTPath
fi

while [ ! -e inp.xml ]; do
# Sleep until output file is created from a.out
    sleep 1s
done

INSTinput=$INPTPath/inp.xml
echo "Creation of an input file for INSTANT :" $INSTinput
ls -l inp.xml | cut -c 32-
echo "Successful run of "$Thisprog
#
