       PROGRAM MakeRows
       IMPLICIT NONE
    
       CHARACTER*3 :: map(500,500)
c       CHARACTER*2 :: assynum
       integer :: n,k,i,j,numinrow(400),ierror,lastinrow(400), Ntot
       integer :: mergecellnum,mergematrix(100000),mergeflag(500,500)
       integer :: mergecellnumendrow
       real :: barrelrad, xdist, ydist, radius
c       Choose NR : number of ring of small cells, with ring 0 = center cell.
       integer, parameter :: x0=232,y0=166,NR=33


       OPEN(UNIT=1, FILE='list', STATUS='UNKNOWN', IOSTAT=ierror)
       IF(ierror.ne.0) THEN
         write(*,*)'error!'
         STOP
       ENDIF


         do i=1,500
         do j=1,500
          map(i,j)='XXX'
         enddo
         enddo


c      Center cell RING 0
       call BuildFuel(map,232,166,'01')
c      RING 1
       call BuildFuel(map,243,155,'02')
       call BuildFuel(map,221,144,'03')
       call BuildFuel(map,210,155,'04')
       call BuildFuel(map,221,177,'05')
       call BuildFuel(map,243,188,'06')
       call BuildRefl(map,254,177,'12')
c      Partial RING 2
       call BuildFuel(map,232,133,'07')
       call BuildFuel(map,199,133,'08')
       call BuildFuel(map,199,166,'09')
       call BuildFuel(map,232,199,'10')
       call BuildRefl(map,265,199,'11')
       call BuildRefl(map,265,166,'13')

c   Repeating the block of interest so that the J cells 
c   are numbered correctly for that block

       call BuildFuel(map,232,166,'01')



c *******************************************
c  WRITING ROWS OF INPUT IN FORMAT FOR DRAGON
c *******************************************
       
c Total number of rows : NR. Ntot is equal to 3/4*((1+2NR)^2-1)+1
c Center cell : (x0,y0)=(243,155)
       Ntot=(0.75)*(((1+2*(NR))**2)-1)+1
c Row number 0
       WRITE(1,'(a6,i3)')'* Row ',0
       WRITE(1,200)(map(x0,y0))
c  Row number 1
       WRITE(1,'(a6,i3)')'* Row ',1
       WRITE(1,200)(map(x0+1,y0))
       WRITE(1,200)(map(x0,y0-1))     
       WRITE(1,200)(map(x0-1,y0-1))
       WRITE(1,200)(map(x0-1,y0))
       WRITE(1,200)(map(x0,y0-1))
       WRITE(1,200)(map(x0+1,y0+1))
c Rows from 2 to NR
       do n=2,NR
          WRITE(1,'(a6,i3)')'* Row ',n
             WRITE(1,200)(map(x0+n-i,y0-i),i=0,n)
             WRITE(1,200)(map(x0-i,y0-n),i=1,n-1)
             WRITE(1,200)(map(x0-n,y0-n+i),i=0,n)
             WRITE(1,200)(map(x0-n+i,y0+i),i=1,n-1)
             WRITE(1,200)(map(x0+i,y0+n),i=0,n)
             WRITE(1,200)(map(x0+n,y0+n-i),i=1,n-1)
       enddo
         
 200   FORMAT(10(a4))

       WRITE(1,'(a40)') '******* TOTAL NUMBER OF CELLS **********'
       WRITE(1,'(a8,i6)') '* Ntot= ',Ntot
       WRITE(1,'(a40)') '****** CENTER CELL COORDINATES : *******'
       WRITE(1,'(a10,i3,a1,i3,a1)') '*(x0,y0)=(',x0,',',y0,')'

       STOP
       END


       SUBROUTINE BuildFuel(map2d,x,y,num)
       INTEGER :: x, y
       CHARACTER*3 :: map2d(500,500)
       CHARACTER*2 :: num   

       map2d(x- 11,y+  0)='J'//num
       map2d(x- 11,y-  1)='J'//num
       map2d(x- 11,y-  2)='J'//num
       map2d(x- 11,y-  3)='J'//num
       map2d(x- 11,y-  4)='J'//num
       map2d(x- 11,y-  5)='J'//num
       map2d(x- 11,y-  6)='J'//num
       map2d(x- 11,y-  7)='J'//num
       map2d(x- 11,y-  8)='J'//num
       map2d(x- 11,y-  9)='J'//num
       map2d(x- 11,y- 10)='J'//num
       map2d(x- 11,y- 11)='J'//num
       map2d(x- 10,y+  1)='J'//num
       map2d(x- 10,y+  0)='B'//num
       map2d(x- 10,y-  1)='F'//num
       map2d(x- 10,y-  2)='C'//num
       map2d(x- 10,y-  3)='F'//num
       map2d(x- 10,y-  4)='F'//num
       map2d(x- 10,y-  5)='C'//num
       map2d(x- 10,y-  6)='F'//num
       map2d(x- 10,y-  7)='F'//num
       map2d(x- 10,y-  8)='C'//num
       map2d(x- 10,y-  9)='F'//num
       map2d(x- 10,y- 10)='B'//num
       map2d(x- 10,y- 11)='J'//num
       map2d(x-  9,y+  2)='J'//num
       map2d(x-  9,y+  1)='F'//num
       map2d(x-  9,y+  0)='C'//num
       map2d(x-  9,y-  1)='F'//num
       map2d(x-  9,y-  2)='F'//num
       map2d(x-  9,y-  3)='C'//num
       map2d(x-  9,y-  4)='F'//num
       map2d(x-  9,y-  5)='F'//num
       map2d(x-  9,y-  6)='C'//num
       map2d(x-  9,y-  7)='F'//num
       map2d(x-  9,y-  8)='F'//num
       map2d(x-  9,y-  9)='C'//num
       map2d(x-  9,y- 10)='F'//num
       map2d(x-  9,y- 11)='J'//num
       map2d(x-  8,y+  3)='J'//num
       map2d(x-  8,y+  2)='C'//num
       map2d(x-  8,y+  1)='F'//num
       map2d(x-  8,y+  0)='F'//num
       map2d(x-  8,y-  1)='C'//num
       map2d(x-  8,y-  2)='F'//num
       map2d(x-  8,y-  3)='F'//num
       map2d(x-  8,y-  4)='C'//num
       map2d(x-  8,y-  5)='F'//num
       map2d(x-  8,y-  6)='F'//num
       map2d(x-  8,y-  7)='C'//num
       map2d(x-  8,y-  8)='F'//num
       map2d(x-  8,y-  9)='F'//num
       map2d(x-  8,y- 10)='C'//num
       map2d(x-  8,y- 11)='J'//num
       map2d(x-  7,y+  4)='J'//num
       map2d(x-  7,y+  3)='F'//num
       map2d(x-  7,y+  2)='F'//num
       map2d(x-  7,y+  1)='C'//num
       map2d(x-  7,y+  0)='F'//num
       map2d(x-  7,y-  1)='F'//num
       map2d(x-  7,y-  2)='C'//num
       map2d(x-  7,y-  3)='F'//num
       map2d(x-  7,y-  4)='F'//num
       map2d(x-  7,y-  5)='C'//num
       map2d(x-  7,y-  6)='F'//num
       map2d(x-  7,y-  7)='F'//num
       map2d(x-  7,y-  8)='C'//num
       map2d(x-  7,y-  9)='F'//num
       map2d(x-  7,y- 10)='F'//num
       map2d(x-  7,y- 11)='J'//num
       map2d(x-  6,y+  5)='J'//num
       map2d(x-  6,y+  4)='F'//num
       map2d(x-  6,y+  3)='C'//num
       map2d(x-  6,y+  2)='F'//num
       map2d(x-  6,y+  1)='F'//num
       map2d(x-  6,y+  0)='C'//num
       map2d(x-  6,y-  1)='F'//num
       map2d(x-  6,y-  2)='F'//num
       map2d(x-  6,y-  3)='C'//num
       map2d(x-  6,y-  4)='F'//num
       map2d(x-  6,y-  5)='F'//num
       map2d(x-  6,y-  6)='C'//num
       map2d(x-  6,y-  7)='F'//num
       map2d(x-  6,y-  8)='F'//num
       map2d(x-  6,y-  9)='C'//num
       map2d(x-  6,y- 10)='F'//num
       map2d(x-  6,y- 11)='J'//num
       map2d(x-  5,y+  6)='J'//num
       map2d(x-  5,y+  5)='C'//num
       map2d(x-  5,y+  4)='F'//num
       map2d(x-  5,y+  3)='F'//num
       map2d(x-  5,y+  2)='C'//num
       map2d(x-  5,y+  1)='F'//num
       map2d(x-  5,y+  0)='F'//num
       map2d(x-  5,y-  1)='C'//num
       map2d(x-  5,y-  2)='F'//num
       map2d(x-  5,y-  3)='F'//num
       map2d(x-  5,y-  4)='C'//num
       map2d(x-  5,y-  5)='F'//num
       map2d(x-  5,y-  6)='F'//num
       map2d(x-  5,y-  7)='C'//num
       map2d(x-  5,y-  8)='F'//num
       map2d(x-  5,y-  9)='F'//num
       map2d(x-  5,y- 10)='C'//num
       map2d(x-  5,y- 11)='J'//num
       map2d(x-  4,y+  7)='J'//num
       map2d(x-  4,y+  6)='F'//num
       map2d(x-  4,y+  5)='F'//num
       map2d(x-  4,y+  4)='C'//num
       map2d(x-  4,y+  3)='F'//num
       map2d(x-  4,y+  2)='F'//num
       map2d(x-  4,y+  1)='C'//num
       map2d(x-  4,y+  0)='F'//num
       map2d(x-  4,y-  1)='F'//num
       map2d(x-  4,y-  2)='C'//num
       map2d(x-  4,y-  3)='F'//num
       map2d(x-  4,y-  4)='F'//num
       map2d(x-  4,y-  5)='C'//num
       map2d(x-  4,y-  6)='F'//num
       map2d(x-  4,y-  7)='F'//num
       map2d(x-  4,y-  8)='C'//num
       map2d(x-  4,y-  9)='F'//num
       map2d(x-  4,y- 10)='F'//num
       map2d(x-  4,y- 11)='J'//num
       map2d(x-  3,y+  8)='J'//num
       map2d(x-  3,y+  7)='F'//num
       map2d(x-  3,y+  6)='C'//num
       map2d(x-  3,y+  5)='F'//num
       map2d(x-  3,y+  4)='F'//num
       map2d(x-  3,y+  3)='C'//num
       map2d(x-  3,y+  2)='F'//num
       map2d(x-  3,y+  1)='F'//num
       map2d(x-  3,y+  0)='C'//num
       map2d(x-  3,y-  1)='F'//num
       map2d(x-  3,y-  2)='F'//num
       map2d(x-  3,y-  3)='C'//num
       map2d(x-  3,y-  4)='F'//num
       map2d(x-  3,y-  5)='F'//num
       map2d(x-  3,y-  6)='C'//num
       map2d(x-  3,y-  7)='F'//num
       map2d(x-  3,y-  8)='F'//num
       map2d(x-  3,y-  9)='C'//num
       map2d(x-  3,y- 10)='F'//num
       map2d(x-  3,y- 11)='J'//num
       map2d(x-  2,y+  9)='J'//num
       map2d(x-  2,y+  8)='C'//num
       map2d(x-  2,y+  7)='F'//num
       map2d(x-  2,y+  6)='F'//num
       map2d(x-  2,y+  5)='C'//num
       map2d(x-  2,y+  4)='F'//num
       map2d(x-  2,y+  3)='F'//num
       map2d(x-  2,y+  2)='C'//num
       map2d(x-  2,y+  1)='F'//num
       map2d(x-  2,y+  0)='F'//num
       map2d(x-  2,y-  1)='K'//num
       map2d(x-  2,y-  2)='F'//num
       map2d(x-  2,y-  3)='F'//num
       map2d(x-  2,y-  4)='C'//num
       map2d(x-  2,y-  5)='F'//num
       map2d(x-  2,y-  6)='F'//num
       map2d(x-  2,y-  7)='C'//num
       map2d(x-  2,y-  8)='F'//num
       map2d(x-  2,y-  9)='F'//num
       map2d(x-  2,y- 10)='C'//num
       map2d(x-  2,y- 11)='J'//num
       map2d(x-  1,y+ 10)='J'//num
       map2d(x-  1,y+  9)='F'//num
       map2d(x-  1,y+  8)='F'//num
       map2d(x-  1,y+  7)='C'//num
       map2d(x-  1,y+  6)='F'//num
       map2d(x-  1,y+  5)='F'//num
       map2d(x-  1,y+  4)='C'//num
       map2d(x-  1,y+  3)='F'//num
       map2d(x-  1,y+  2)='F'//num
       map2d(x-  1,y+  1)='K'//num
       map2d(x-  1,y+  0)='G'//num
       map2d(x-  1,y-  1)='G'//num
       map2d(x-  1,y-  2)='K'//num
       map2d(x-  1,y-  3)='F'//num
       map2d(x-  1,y-  4)='F'//num
       map2d(x-  1,y-  5)='C'//num
       map2d(x-  1,y-  6)='F'//num
       map2d(x-  1,y-  7)='F'//num
       map2d(x-  1,y-  8)='C'//num
       map2d(x-  1,y-  9)='F'//num
       map2d(x-  1,y- 10)='F'//num
       map2d(x-  1,y- 11)='J'//num
       map2d(x+  0,y+ 11)='J'//num
       map2d(x+  0,y+ 10)='B'//num
       map2d(x+  0,y+  9)='C'//num
       map2d(x+  0,y+  8)='F'//num
       map2d(x+  0,y+  7)='F'//num
       map2d(x+  0,y+  6)='C'//num
       map2d(x+  0,y+  5)='F'//num
       map2d(x+  0,y+  4)='F'//num
       map2d(x+  0,y+  3)='C'//num
       map2d(x+  0,y+  2)='F'//num
       map2d(x+  0,y+  1)='G'//num
       map2d(x+  0,y+  0)='G'//num
       map2d(x+  0,y-  1)='G'//num
       map2d(x+  0,y-  2)='F'//num
       map2d(x+  0,y-  3)='C'//num
       map2d(x+  0,y-  4)='F'//num
       map2d(x+  0,y-  5)='F'//num
       map2d(x+  0,y-  6)='C'//num
       map2d(x+  0,y-  7)='F'//num
       map2d(x+  0,y-  8)='F'//num
       map2d(x+  0,y-  9)='C'//num
       map2d(x+  0,y- 10)='B'//num
       map2d(x+  0,y- 11)='J'//num
       map2d(x+  1,y+ 11)='J'//num
       map2d(x+  1,y+ 10)='F'//num
       map2d(x+  1,y+  9)='F'//num
       map2d(x+  1,y+  8)='C'//num
       map2d(x+  1,y+  7)='F'//num
       map2d(x+  1,y+  6)='F'//num
       map2d(x+  1,y+  5)='C'//num
       map2d(x+  1,y+  4)='F'//num
       map2d(x+  1,y+  3)='F'//num
       map2d(x+  1,y+  2)='K'//num
       map2d(x+  1,y+  1)='G'//num
       map2d(x+  1,y+  0)='G'//num
       map2d(x+  1,y-  1)='K'//num
       map2d(x+  1,y-  2)='F'//num
       map2d(x+  1,y-  3)='F'//num
       map2d(x+  1,y-  4)='C'//num
       map2d(x+  1,y-  5)='F'//num
       map2d(x+  1,y-  6)='F'//num
       map2d(x+  1,y-  7)='C'//num
       map2d(x+  1,y-  8)='F'//num
       map2d(x+  1,y-  9)='F'//num
       map2d(x+  1,y- 10)='J'//num
       map2d(x+  2,y+ 11)='J'//num
       map2d(x+  2,y+ 10)='C'//num
       map2d(x+  2,y+  9)='F'//num
       map2d(x+  2,y+  8)='F'//num
       map2d(x+  2,y+  7)='C'//num
       map2d(x+  2,y+  6)='F'//num
       map2d(x+  2,y+  5)='F'//num
       map2d(x+  2,y+  4)='C'//num
       map2d(x+  2,y+  3)='F'//num
       map2d(x+  2,y+  2)='F'//num
       map2d(x+  2,y+  1)='K'//num
       map2d(x+  2,y+  0)='F'//num
       map2d(x+  2,y-  1)='F'//num
       map2d(x+  2,y-  2)='C'//num
       map2d(x+  2,y-  3)='F'//num
       map2d(x+  2,y-  4)='F'//num
       map2d(x+  2,y-  5)='C'//num
       map2d(x+  2,y-  6)='F'//num
       map2d(x+  2,y-  7)='F'//num
       map2d(x+  2,y-  8)='C'//num
       map2d(x+  2,y-  9)='J'//num
       map2d(x+  3,y+ 11)='J'//num
       map2d(x+  3,y+ 10)='F'//num
       map2d(x+  3,y+  9)='C'//num
       map2d(x+  3,y+  8)='F'//num
       map2d(x+  3,y+  7)='F'//num
       map2d(x+  3,y+  6)='C'//num
       map2d(x+  3,y+  5)='F'//num
       map2d(x+  3,y+  4)='F'//num
       map2d(x+  3,y+  3)='C'//num
       map2d(x+  3,y+  2)='F'//num
       map2d(x+  3,y+  1)='F'//num
       map2d(x+  3,y+  0)='C'//num
       map2d(x+  3,y-  1)='F'//num
       map2d(x+  3,y-  2)='F'//num
       map2d(x+  3,y-  3)='C'//num
       map2d(x+  3,y-  4)='F'//num
       map2d(x+  3,y-  5)='F'//num
       map2d(x+  3,y-  6)='C'//num
       map2d(x+  3,y-  7)='F'//num
       map2d(x+  3,y-  8)='J'//num
       map2d(x+  4,y+ 11)='J'//num
       map2d(x+  4,y+ 10)='F'//num
       map2d(x+  4,y+  9)='F'//num
       map2d(x+  4,y+  8)='C'//num
       map2d(x+  4,y+  7)='F'//num
       map2d(x+  4,y+  6)='F'//num
       map2d(x+  4,y+  5)='C'//num
       map2d(x+  4,y+  4)='F'//num
       map2d(x+  4,y+  3)='F'//num
       map2d(x+  4,y+  2)='C'//num
       map2d(x+  4,y+  1)='F'//num
       map2d(x+  4,y+  0)='F'//num
       map2d(x+  4,y-  1)='C'//num
       map2d(x+  4,y-  2)='F'//num
       map2d(x+  4,y-  3)='F'//num
       map2d(x+  4,y-  4)='C'//num
       map2d(x+  4,y-  5)='F'//num
       map2d(x+  4,y-  6)='F'//num
       map2d(x+  4,y-  7)='J'//num
       map2d(x+  5,y+ 11)='J'//num
       map2d(x+  5,y+ 10)='C'//num
       map2d(x+  5,y+  9)='F'//num
       map2d(x+  5,y+  8)='F'//num
       map2d(x+  5,y+  7)='C'//num
       map2d(x+  5,y+  6)='F'//num
       map2d(x+  5,y+  5)='F'//num
       map2d(x+  5,y+  4)='C'//num
       map2d(x+  5,y+  3)='F'//num
       map2d(x+  5,y+  2)='F'//num
       map2d(x+  5,y+  1)='C'//num
       map2d(x+  5,y+  0)='F'//num
       map2d(x+  5,y-  1)='F'//num
       map2d(x+  5,y-  2)='C'//num
       map2d(x+  5,y-  3)='F'//num
       map2d(x+  5,y-  4)='F'//num
       map2d(x+  5,y-  5)='C'//num
       map2d(x+  5,y-  6)='J'//num
       map2d(x+  6,y+ 11)='J'//num
       map2d(x+  6,y+ 10)='F'//num
       map2d(x+  6,y+  9)='C'//num
       map2d(x+  6,y+  8)='F'//num
       map2d(x+  6,y+  7)='F'//num
       map2d(x+  6,y+  6)='C'//num
       map2d(x+  6,y+  5)='F'//num
       map2d(x+  6,y+  4)='F'//num
       map2d(x+  6,y+  3)='C'//num
       map2d(x+  6,y+  2)='F'//num
       map2d(x+  6,y+  1)='F'//num
       map2d(x+  6,y+  0)='C'//num
       map2d(x+  6,y-  1)='F'//num
       map2d(x+  6,y-  2)='F'//num
       map2d(x+  6,y-  3)='C'//num
       map2d(x+  6,y-  4)='F'//num
       map2d(x+  6,y-  5)='J'//num
       map2d(x+  7,y+ 11)='J'//num
       map2d(x+  7,y+ 10)='F'//num
       map2d(x+  7,y+  9)='F'//num
       map2d(x+  7,y+  8)='C'//num
       map2d(x+  7,y+  7)='F'//num
       map2d(x+  7,y+  6)='F'//num
       map2d(x+  7,y+  5)='C'//num
       map2d(x+  7,y+  4)='F'//num
       map2d(x+  7,y+  3)='F'//num
       map2d(x+  7,y+  2)='C'//num
       map2d(x+  7,y+  1)='F'//num
       map2d(x+  7,y+  0)='F'//num
       map2d(x+  7,y-  1)='C'//num
       map2d(x+  7,y-  2)='F'//num
       map2d(x+  7,y-  3)='F'//num
       map2d(x+  7,y-  4)='J'//num
       map2d(x+  8,y+ 11)='J'//num
       map2d(x+  8,y+ 10)='C'//num
       map2d(x+  8,y+  9)='F'//num
       map2d(x+  8,y+  8)='F'//num
       map2d(x+  8,y+  7)='C'//num
       map2d(x+  8,y+  6)='F'//num
       map2d(x+  8,y+  5)='F'//num
       map2d(x+  8,y+  4)='C'//num
       map2d(x+  8,y+  3)='F'//num
       map2d(x+  8,y+  2)='F'//num
       map2d(x+  8,y+  1)='C'//num
       map2d(x+  8,y+  0)='F'//num
       map2d(x+  8,y-  1)='F'//num
       map2d(x+  8,y-  2)='C'//num
       map2d(x+  8,y-  3)='J'//num
       map2d(x+  9,y+ 11)='J'//num
       map2d(x+  9,y+ 10)='F'//num
       map2d(x+  9,y+  9)='C'//num
       map2d(x+  9,y+  8)='F'//num
       map2d(x+  9,y+  7)='F'//num
       map2d(x+  9,y+  6)='C'//num
       map2d(x+  9,y+  5)='F'//num
       map2d(x+  9,y+  4)='F'//num
       map2d(x+  9,y+  3)='C'//num
       map2d(x+  9,y+  2)='F'//num
       map2d(x+  9,y+  1)='F'//num
       map2d(x+  9,y+  0)='C'//num
       map2d(x+  9,y-  1)='F'//num
       map2d(x+  9,y-  2)='J'//num
       map2d(x+ 10,y+ 11)='J'//num
       map2d(x+ 10,y+ 10)='B'//num
       map2d(x+ 10,y+  9)='F'//num
       map2d(x+ 10,y+  8)='C'//num
       map2d(x+ 10,y+  7)='F'//num
       map2d(x+ 10,y+  6)='F'//num
       map2d(x+ 10,y+  5)='C'//num
       map2d(x+ 10,y+  4)='F'//num
       map2d(x+ 10,y+  3)='F'//num
       map2d(x+ 10,y+  2)='C'//num
       map2d(x+ 10,y+  1)='F'//num
       map2d(x+ 10,y+  0)='B'//num
       map2d(x+ 10,y-  1)='J'//num
       map2d(x+ 11,y+ 11)='J'//num
       map2d(x+ 11,y+ 10)='J'//num
       map2d(x+ 11,y+  9)='J'//num
       map2d(x+ 11,y+  8)='J'//num
       map2d(x+ 11,y+  7)='J'//num
       map2d(x+ 11,y+  6)='J'//num
       map2d(x+ 11,y+  5)='J'//num
       map2d(x+ 11,y+  4)='J'//num
       map2d(x+ 11,y+  3)='J'//num
       map2d(x+ 11,y+  2)='J'//num
       map2d(x+ 11,y+  1)='J'//num
       map2d(x+ 11,y+  0)='J'//num

       RETURN 
       END 
 




       SUBROUTINE BuildRefl(map2d,x,y,num)
       INTEGER :: x, y
       CHARACTER*3 :: map2d(500,500)
       CHARACTER*2 :: num

       map2d(x- 11,y+  0)='J'//num
       map2d(x- 11,y-  1)='J'//num
       map2d(x- 11,y-  2)='J'//num
       map2d(x- 11,y-  3)='J'//num
       map2d(x- 11,y-  4)='J'//num
       map2d(x- 11,y-  5)='J'//num
       map2d(x- 11,y-  6)='J'//num
       map2d(x- 11,y-  7)='J'//num
       map2d(x- 11,y-  8)='J'//num
       map2d(x- 11,y-  9)='J'//num
       map2d(x- 11,y- 10)='J'//num
       map2d(x- 11,y- 11)='J'//num
       map2d(x- 10,y+  1)='J'//num
       map2d(x- 10,y+  0)='G'//num
       map2d(x- 10,y-  1)='G'//num
       map2d(x- 10,y-  2)='G'//num
       map2d(x- 10,y-  3)='G'//num
       map2d(x- 10,y-  4)='G'//num
       map2d(x- 10,y-  5)='G'//num
       map2d(x- 10,y-  6)='G'//num
       map2d(x- 10,y-  7)='G'//num
       map2d(x- 10,y-  8)='G'//num
       map2d(x- 10,y-  9)='G'//num
       map2d(x- 10,y- 10)='G'//num
       map2d(x- 10,y- 11)='J'//num
       map2d(x-  9,y+  2)='J'//num
       map2d(x-  9,y+  1)='G'//num
       map2d(x-  9,y+  0)='G'//num
       map2d(x-  9,y-  1)='G'//num
       map2d(x-  9,y-  2)='G'//num
       map2d(x-  9,y-  3)='G'//num
       map2d(x-  9,y-  4)='G'//num
       map2d(x-  9,y-  5)='G'//num
       map2d(x-  9,y-  6)='G'//num
       map2d(x-  9,y-  7)='G'//num
       map2d(x-  9,y-  8)='G'//num
       map2d(x-  9,y-  9)='G'//num
       map2d(x-  9,y- 10)='G'//num
       map2d(x-  9,y- 11)='J'//num
       map2d(x-  8,y+  3)='J'//num
       map2d(x-  8,y+  2)='G'//num
       map2d(x-  8,y+  1)='G'//num
       map2d(x-  8,y+  0)='G'//num
       map2d(x-  8,y-  1)='G'//num
       map2d(x-  8,y-  2)='G'//num
       map2d(x-  8,y-  3)='G'//num
       map2d(x-  8,y-  4)='G'//num
       map2d(x-  8,y-  5)='G'//num
       map2d(x-  8,y-  6)='G'//num
       map2d(x-  8,y-  7)='G'//num
       map2d(x-  8,y-  8)='G'//num
       map2d(x-  8,y-  9)='G'//num
       map2d(x-  8,y- 10)='G'//num
       map2d(x-  8,y- 11)='J'//num
       map2d(x-  7,y+  4)='J'//num
       map2d(x-  7,y+  3)='G'//num
       map2d(x-  7,y+  2)='G'//num
       map2d(x-  7,y+  1)='G'//num
       map2d(x-  7,y+  0)='G'//num
       map2d(x-  7,y-  1)='G'//num
       map2d(x-  7,y-  2)='G'//num
       map2d(x-  7,y-  3)='G'//num
       map2d(x-  7,y-  4)='G'//num
       map2d(x-  7,y-  5)='G'//num
       map2d(x-  7,y-  6)='G'//num
       map2d(x-  7,y-  7)='G'//num
       map2d(x-  7,y-  8)='G'//num
       map2d(x-  7,y-  9)='G'//num
       map2d(x-  7,y- 10)='G'//num
       map2d(x-  7,y- 11)='J'//num
       map2d(x-  6,y+  5)='J'//num
       map2d(x-  6,y+  4)='G'//num
       map2d(x-  6,y+  3)='G'//num
       map2d(x-  6,y+  2)='G'//num
       map2d(x-  6,y+  1)='G'//num
       map2d(x-  6,y+  0)='G'//num
       map2d(x-  6,y-  1)='G'//num
       map2d(x-  6,y-  2)='G'//num
       map2d(x-  6,y-  3)='G'//num
       map2d(x-  6,y-  4)='G'//num
       map2d(x-  6,y-  5)='G'//num
       map2d(x-  6,y-  6)='G'//num
       map2d(x-  6,y-  7)='G'//num
       map2d(x-  6,y-  8)='G'//num
       map2d(x-  6,y-  9)='G'//num
       map2d(x-  6,y- 10)='G'//num
       map2d(x-  6,y- 11)='J'//num
       map2d(x-  5,y+  6)='J'//num
       map2d(x-  5,y+  5)='G'//num
       map2d(x-  5,y+  4)='G'//num
       map2d(x-  5,y+  3)='G'//num
       map2d(x-  5,y+  2)='G'//num
       map2d(x-  5,y+  1)='G'//num
       map2d(x-  5,y+  0)='G'//num
       map2d(x-  5,y-  1)='G'//num
       map2d(x-  5,y-  2)='G'//num
       map2d(x-  5,y-  3)='G'//num
       map2d(x-  5,y-  4)='G'//num
       map2d(x-  5,y-  5)='G'//num
       map2d(x-  5,y-  6)='G'//num
       map2d(x-  5,y-  7)='G'//num
       map2d(x-  5,y-  8)='G'//num
       map2d(x-  5,y-  9)='G'//num
       map2d(x-  5,y- 10)='G'//num
       map2d(x-  5,y- 11)='J'//num
       map2d(x-  4,y+  7)='J'//num
       map2d(x-  4,y+  6)='G'//num
       map2d(x-  4,y+  5)='G'//num
       map2d(x-  4,y+  4)='G'//num
       map2d(x-  4,y+  3)='G'//num
       map2d(x-  4,y+  2)='G'//num
       map2d(x-  4,y+  1)='G'//num
       map2d(x-  4,y+  0)='G'//num
       map2d(x-  4,y-  1)='G'//num
       map2d(x-  4,y-  2)='G'//num
       map2d(x-  4,y-  3)='G'//num
       map2d(x-  4,y-  4)='G'//num
       map2d(x-  4,y-  5)='G'//num
       map2d(x-  4,y-  6)='G'//num
       map2d(x-  4,y-  7)='G'//num
       map2d(x-  4,y-  8)='G'//num
       map2d(x-  4,y-  9)='G'//num
       map2d(x-  4,y- 10)='G'//num
       map2d(x-  4,y- 11)='J'//num
       map2d(x-  3,y+  8)='J'//num
       map2d(x-  3,y+  7)='G'//num
       map2d(x-  3,y+  6)='G'//num
       map2d(x-  3,y+  5)='G'//num
       map2d(x-  3,y+  4)='G'//num
       map2d(x-  3,y+  3)='G'//num
       map2d(x-  3,y+  2)='G'//num
       map2d(x-  3,y+  1)='G'//num
       map2d(x-  3,y+  0)='G'//num
       map2d(x-  3,y-  1)='G'//num
       map2d(x-  3,y-  2)='G'//num
       map2d(x-  3,y-  3)='G'//num
       map2d(x-  3,y-  4)='G'//num
       map2d(x-  3,y-  5)='G'//num
       map2d(x-  3,y-  6)='G'//num
       map2d(x-  3,y-  7)='G'//num
       map2d(x-  3,y-  8)='G'//num
       map2d(x-  3,y-  9)='G'//num
       map2d(x-  3,y- 10)='G'//num
       map2d(x-  3,y- 11)='J'//num
       map2d(x-  2,y+  9)='J'//num
       map2d(x-  2,y+  8)='G'//num
       map2d(x-  2,y+  7)='G'//num
       map2d(x-  2,y+  6)='G'//num
       map2d(x-  2,y+  5)='G'//num
       map2d(x-  2,y+  4)='G'//num
       map2d(x-  2,y+  3)='G'//num
       map2d(x-  2,y+  2)='G'//num
       map2d(x-  2,y+  1)='G'//num
       map2d(x-  2,y+  0)='G'//num
       map2d(x-  2,y-  1)='G'//num
       map2d(x-  2,y-  2)='G'//num
       map2d(x-  2,y-  3)='G'//num
       map2d(x-  2,y-  4)='G'//num
       map2d(x-  2,y-  5)='G'//num
       map2d(x-  2,y-  6)='G'//num
       map2d(x-  2,y-  7)='G'//num
       map2d(x-  2,y-  8)='G'//num
       map2d(x-  2,y-  9)='G'//num
       map2d(x-  2,y- 10)='G'//num
       map2d(x-  2,y- 11)='J'//num
       map2d(x-  1,y+ 10)='J'//num
       map2d(x-  1,y+  9)='G'//num
       map2d(x-  1,y+  8)='G'//num
       map2d(x-  1,y+  7)='G'//num
       map2d(x-  1,y+  6)='G'//num
       map2d(x-  1,y+  5)='G'//num
       map2d(x-  1,y+  4)='G'//num
       map2d(x-  1,y+  3)='G'//num
       map2d(x-  1,y+  2)='G'//num
       map2d(x-  1,y+  1)='G'//num
       map2d(x-  1,y+  0)='G'//num
       map2d(x-  1,y-  1)='G'//num
       map2d(x-  1,y-  2)='G'//num
       map2d(x-  1,y-  3)='G'//num
       map2d(x-  1,y-  4)='G'//num
       map2d(x-  1,y-  5)='G'//num
       map2d(x-  1,y-  6)='G'//num
       map2d(x-  1,y-  7)='G'//num
       map2d(x-  1,y-  8)='G'//num
       map2d(x-  1,y-  9)='G'//num
       map2d(x-  1,y- 10)='G'//num
       map2d(x-  1,y- 11)='J'//num
       map2d(x+  0,y+ 11)='J'//num
       map2d(x+  0,y+ 10)='G'//num
       map2d(x+  0,y+  9)='G'//num
       map2d(x+  0,y+  8)='G'//num
       map2d(x+  0,y+  7)='G'//num
       map2d(x+  0,y+  6)='G'//num
       map2d(x+  0,y+  5)='G'//num
       map2d(x+  0,y+  4)='G'//num
       map2d(x+  0,y+  3)='G'//num
       map2d(x+  0,y+  2)='G'//num
       map2d(x+  0,y+  1)='G'//num
       map2d(x+  0,y+  0)='G'//num
       map2d(x+  0,y-  1)='G'//num
       map2d(x+  0,y-  2)='G'//num
       map2d(x+  0,y-  3)='G'//num
       map2d(x+  0,y-  4)='G'//num
       map2d(x+  0,y-  5)='G'//num
       map2d(x+  0,y-  6)='G'//num
       map2d(x+  0,y-  7)='G'//num
       map2d(x+  0,y-  8)='G'//num
       map2d(x+  0,y-  9)='G'//num
       map2d(x+  0,y- 10)='G'//num
       map2d(x+  0,y- 11)='J'//num
       map2d(x+  1,y+ 11)='J'//num
       map2d(x+  1,y+ 10)='G'//num
       map2d(x+  1,y+  9)='G'//num
       map2d(x+  1,y+  8)='G'//num
       map2d(x+  1,y+  7)='G'//num
       map2d(x+  1,y+  6)='G'//num
       map2d(x+  1,y+  5)='G'//num
       map2d(x+  1,y+  4)='G'//num
       map2d(x+  1,y+  3)='G'//num
       map2d(x+  1,y+  2)='G'//num
       map2d(x+  1,y+  1)='G'//num
       map2d(x+  1,y+  0)='G'//num
       map2d(x+  1,y-  1)='G'//num
       map2d(x+  1,y-  2)='G'//num
       map2d(x+  1,y-  3)='G'//num
       map2d(x+  1,y-  4)='G'//num
       map2d(x+  1,y-  5)='G'//num
       map2d(x+  1,y-  6)='G'//num
       map2d(x+  1,y-  7)='G'//num
       map2d(x+  1,y-  8)='G'//num
       map2d(x+  1,y-  9)='G'//num
       map2d(x+  1,y- 10)='J'//num
       map2d(x+  2,y+ 11)='J'//num
       map2d(x+  2,y+ 10)='G'//num
       map2d(x+  2,y+  9)='G'//num
       map2d(x+  2,y+  8)='G'//num
       map2d(x+  2,y+  7)='G'//num
       map2d(x+  2,y+  6)='G'//num
       map2d(x+  2,y+  5)='G'//num
       map2d(x+  2,y+  4)='G'//num
       map2d(x+  2,y+  3)='G'//num
       map2d(x+  2,y+  2)='G'//num
       map2d(x+  2,y+  1)='G'//num
       map2d(x+  2,y+  0)='G'//num
       map2d(x+  2,y-  1)='G'//num
       map2d(x+  2,y-  2)='G'//num
       map2d(x+  2,y-  3)='G'//num
       map2d(x+  2,y-  4)='G'//num
       map2d(x+  2,y-  5)='G'//num
       map2d(x+  2,y-  6)='G'//num
       map2d(x+  2,y-  7)='G'//num
       map2d(x+  2,y-  8)='G'//num
       map2d(x+  2,y-  9)='J'//num
       map2d(x+  3,y+ 11)='J'//num
       map2d(x+  3,y+ 10)='G'//num
       map2d(x+  3,y+  9)='G'//num
       map2d(x+  3,y+  8)='G'//num
       map2d(x+  3,y+  7)='G'//num
       map2d(x+  3,y+  6)='G'//num
       map2d(x+  3,y+  5)='G'//num
       map2d(x+  3,y+  4)='G'//num
       map2d(x+  3,y+  3)='G'//num
       map2d(x+  3,y+  2)='G'//num
       map2d(x+  3,y+  1)='G'//num
       map2d(x+  3,y+  0)='G'//num
       map2d(x+  3,y-  1)='G'//num
       map2d(x+  3,y-  2)='G'//num
       map2d(x+  3,y-  3)='G'//num
       map2d(x+  3,y-  4)='G'//num
       map2d(x+  3,y-  5)='G'//num
       map2d(x+  3,y-  6)='G'//num
       map2d(x+  3,y-  7)='G'//num
       map2d(x+  3,y-  8)='J'//num
       map2d(x+  4,y+ 11)='J'//num
       map2d(x+  4,y+ 10)='G'//num
       map2d(x+  4,y+  9)='G'//num
       map2d(x+  4,y+  8)='G'//num
       map2d(x+  4,y+  7)='G'//num
       map2d(x+  4,y+  6)='G'//num
       map2d(x+  4,y+  5)='G'//num
       map2d(x+  4,y+  4)='G'//num
       map2d(x+  4,y+  3)='G'//num
       map2d(x+  4,y+  2)='G'//num
       map2d(x+  4,y+  1)='G'//num
       map2d(x+  4,y+  0)='G'//num
       map2d(x+  4,y-  1)='G'//num
       map2d(x+  4,y-  2)='G'//num
       map2d(x+  4,y-  3)='G'//num
       map2d(x+  4,y-  4)='G'//num
       map2d(x+  4,y-  5)='G'//num
       map2d(x+  4,y-  6)='G'//num
       map2d(x+  4,y-  7)='J'//num
       map2d(x+  5,y+ 11)='J'//num
       map2d(x+  5,y+ 10)='G'//num
       map2d(x+  5,y+  9)='G'//num
       map2d(x+  5,y+  8)='G'//num
       map2d(x+  5,y+  7)='G'//num
       map2d(x+  5,y+  6)='G'//num
       map2d(x+  5,y+  5)='G'//num
       map2d(x+  5,y+  4)='G'//num
       map2d(x+  5,y+  3)='G'//num
       map2d(x+  5,y+  2)='G'//num
       map2d(x+  5,y+  1)='G'//num
       map2d(x+  5,y+  0)='G'//num
       map2d(x+  5,y-  1)='G'//num
       map2d(x+  5,y-  2)='G'//num
       map2d(x+  5,y-  3)='G'//num
       map2d(x+  5,y-  4)='G'//num
       map2d(x+  5,y-  5)='G'//num
       map2d(x+  5,y-  6)='J'//num
       map2d(x+  6,y+ 11)='J'//num
       map2d(x+  6,y+ 10)='G'//num
       map2d(x+  6,y+  9)='G'//num
       map2d(x+  6,y+  8)='G'//num
       map2d(x+  6,y+  7)='G'//num
       map2d(x+  6,y+  6)='G'//num
       map2d(x+  6,y+  5)='G'//num
       map2d(x+  6,y+  4)='G'//num
       map2d(x+  6,y+  3)='G'//num
       map2d(x+  6,y+  2)='G'//num
       map2d(x+  6,y+  1)='G'//num
       map2d(x+  6,y+  0)='G'//num
       map2d(x+  6,y-  1)='G'//num
       map2d(x+  6,y-  2)='G'//num
       map2d(x+  6,y-  3)='G'//num
       map2d(x+  6,y-  4)='G'//num
       map2d(x+  6,y-  5)='J'//num
       map2d(x+  7,y+ 11)='J'//num
       map2d(x+  7,y+ 10)='G'//num
       map2d(x+  7,y+  9)='G'//num
       map2d(x+  7,y+  8)='G'//num
       map2d(x+  7,y+  7)='G'//num
       map2d(x+  7,y+  6)='G'//num
       map2d(x+  7,y+  5)='G'//num
       map2d(x+  7,y+  4)='G'//num
       map2d(x+  7,y+  3)='G'//num
       map2d(x+  7,y+  2)='G'//num
       map2d(x+  7,y+  1)='G'//num
       map2d(x+  7,y+  0)='G'//num
       map2d(x+  7,y-  1)='G'//num
       map2d(x+  7,y-  2)='G'//num
       map2d(x+  7,y-  3)='G'//num
       map2d(x+  7,y-  4)='J'//num
       map2d(x+  8,y+ 11)='J'//num
       map2d(x+  8,y+ 10)='G'//num
       map2d(x+  8,y+  9)='G'//num
       map2d(x+  8,y+  8)='G'//num
       map2d(x+  8,y+  7)='G'//num
       map2d(x+  8,y+  6)='G'//num
       map2d(x+  8,y+  5)='G'//num
       map2d(x+  8,y+  4)='G'//num
       map2d(x+  8,y+  3)='G'//num
       map2d(x+  8,y+  2)='G'//num
       map2d(x+  8,y+  1)='G'//num
       map2d(x+  8,y+  0)='G'//num
       map2d(x+  8,y-  1)='G'//num
       map2d(x+  8,y-  2)='G'//num
       map2d(x+  8,y-  3)='J'//num
       map2d(x+  9,y+ 11)='J'//num
       map2d(x+  9,y+ 10)='G'//num
       map2d(x+  9,y+  9)='G'//num
       map2d(x+  9,y+  8)='G'//num
       map2d(x+  9,y+  7)='G'//num
       map2d(x+  9,y+  6)='G'//num
       map2d(x+  9,y+  5)='G'//num
       map2d(x+  9,y+  4)='G'//num
       map2d(x+  9,y+  3)='G'//num
       map2d(x+  9,y+  2)='G'//num
       map2d(x+  9,y+  1)='G'//num
       map2d(x+  9,y+  0)='G'//num
       map2d(x+  9,y-  1)='G'//num
       map2d(x+  9,y-  2)='J'//num
       map2d(x+ 10,y+ 11)='J'//num
       map2d(x+ 10,y+ 10)='G'//num
       map2d(x+ 10,y+  9)='G'//num
       map2d(x+ 10,y+  8)='G'//num
       map2d(x+ 10,y+  7)='G'//num
       map2d(x+ 10,y+  6)='G'//num
       map2d(x+ 10,y+  5)='G'//num
       map2d(x+ 10,y+  4)='G'//num
       map2d(x+ 10,y+  3)='G'//num
       map2d(x+ 10,y+  2)='G'//num
       map2d(x+ 10,y+  1)='G'//num
       map2d(x+ 10,y+  0)='G'//num
       map2d(x+ 10,y-  1)='J'//num
       map2d(x+ 11,y+ 11)='J'//num
       map2d(x+ 11,y+ 10)='J'//num
       map2d(x+ 11,y+  9)='J'//num
       map2d(x+ 11,y+  8)='J'//num
       map2d(x+ 11,y+  7)='J'//num
       map2d(x+ 11,y+  6)='J'//num
       map2d(x+ 11,y+  5)='J'//num
       map2d(x+ 11,y+  4)='J'//num
       map2d(x+ 11,y+  3)='J'//num
       map2d(x+ 11,y+  2)='J'//num
       map2d(x+ 11,y+  1)='J'//num
       map2d(x+ 11,y+  0)='J'//num

       RETURN 
       END
