#!/bin/bash

#PBS -N sc_moc26_c18
#PBS -M vincent.descotes@inl.gov
#PBS -k oe

cd $PBS_O_WORKDIR

N=$PBS_ARRAYID
JOB_NUM=${PBS_JOBID%%\-*}

sleep $N"s" # to avoid collisions...

ln -s $HOME/$PBS_JOBNAME.o$JOB_NUM $PBS_JOBNAME.o$JOB_NUM
ln -s $HOME/$PBS_JOBNAME.e$JOB_NUM $PBS_JOBNAME.e$JOB_NUM

   printf "Begin supercell calculation number %d \n" $N
   rdragon4 supercell_$N"gr_33r.x2m" Multicompo26
   sleep 1s


echo ""
echo "Verify that there were no pb in the calculation"

   printf "Tail of supercell calculation with %d groups \n" $N
   tail -n3 supercell_$N"gr_33r.result"
   echo ""


echo ""
echo "Recover the different keff"
   
echo "supercell_"$N"gr_33r.x2m"
   grep 'FINAL KEFF' supercell_$N"gr_33r.x2m"
   echo ""

echo "End of script batch_sc_moc26_c18.sh. Check if the models where well converged and report keff"

rm $PBS_JOBNAME.o$JOB_NUM
rm $PBS_JOBNMAE.e$JOB_NUM

mv $HOME/$PBS_JOBNAME.o$JOB_NUM $PBS_JOBNAME.o$JOB_NUM
mv $HOME/$PBS_JOBNAME.e$JOB_NUM $PBS_JOBNAME.e$JOB_NUM
