#!/bin/bash

NbC=(1 2 3 4 5 6 7 8 9 10 11 12 13 14 15 16 17 18 19 20 21 22 23 24 25 26 27 28 29)
echo "Directory"
echo `pwd`
echo "Convergence study for supercells"
echo ""
for N in ${NbC[*]}
do
   printf "Begin supercell calculation number %d \n" $N
   rdragon4 supercell_26gr_33r_$N".x2m" Multicompo26
   sleep 1s
done
sleep 1s

echo ""
echo "Verify that there were no pb in the calculation"
for N in ${NbC[*]}
do
   printf "Tail of supercell calculation number %d \n" $N
   tail -n3 supercell_26gr_33r_$N".result"
   echo ""
done

echo ""
echo "Recover the different keff"
for N in ${NbC[*]}
do
   echo "supercell_26gr_33r_"$N".result"
   grep 'FINAL KEFF' fuel_cell_1gr_$N".result"
   echo ""
done
echo "End of script run_conv.sh. Check if the models where well converged and report keff"
