#!/bin/bash
# Script which copies cross-sections from VHTR_SC1 to VHTR_SC1/Full_core3/xs/

echo "Begin copy of homogenized cross-sections "
echo "from the supercell calculations in DRAGON"
echo ""
DIR=`pwd`
DIR2=/home/descv/VHTR_SC_moc
DIRXS=/home/descv/VHTR_SC_moc/Full_core3/xs
if [ $DIR != $DIR2 ]; then
    echo "You must start from directory VHTR_SC1"
    echo "You are now in directory :" $DIR
    exit 1
fi

for param in $*
do
    case $param in
        -g*) NbG="`echo $1 | cut -c 3-`"     
    esac
    shift
done

echo "Copy of the fuel cross-section"
echo "Current directory for Fuel XS :"
echo "        " `pwd`

cd $DIR2/Cell_n13
# cell 13 : for XSOUT4 and XSOUT10
FUELXS=supercell_$NbG"gr_33r+Out1"
echo `pwd`
cp -v $FUELXS $DIRXS/XSOUT4.edi
cp -v $FUELXS $DIRXS/XSOUT10.edi
echo ""

cd $DIR2/Cell_n19
# cell 19 : for XSOUT5 and XSOUT11
echo `pwd`
cp -v $FUELXS $DIRXS/XSOUT5.edi
cp -v $FUELXS $DIRXS/XSOUT11.edi
echo ""

cd $DIR2/Cell_n18
# cell 18 : for XSOUT9
echo `pwd`
cp -v $FUELXS $DIRXS/XSOUT9.edi
echo ""

cd ~/VHTR_SB1/
echo "Cross-sections from the single block calculation for the inner part of the fuel"
echo `pwd`
echo ""
FUELXS2=fuel_cell_$NbG"gr_f+Outfuel"

cp -v $FUELXS2 $DIRXS/XSOUT6.edi
cp -v $FUELXS2 $DIRXS/XSOUT7.edi
cp -v $FUELXS2 $DIRXS/XSOUT8.edi


cd ~/VHTR_SB1/Reflector

echo "Copy of the reflector cross-sections"
echo "Current directory for Refl. XS :"
echo "        " `pwd`

REFLXS1=Reflector_cell_$NbG"gr+Outrefl1"
REFLXS2=Reflector_cell_$NbG"gr+Outrefl2"
REFLXS3=Reflector_cell_$NbG"gr+Outrefl3"
REFLXS5=Reflector_cell_$NbG"gr+Outrefl5"
REFLXS6=Reflector_cell_$NbG"gr+Outrefl6"
REFLXS7=Reflector_cell_$NbG"gr+Outrefl7"

cp -v $REFLXS1 $DIRXS/XSOUT1.edi
cp -v $REFLXS2 $DIRXS/XSOUT2.edi
cp -v $REFLXS3 $DIRXS/XSOUT3.edi
cp -v $REFLXS5 $DIRXS/XSOUT12.edi
cp -v $REFLXS6 $DIRXS/XSOUT13.edi
cp -v $REFLXS7 $DIRXS/XSOUT14.edi

echo "   "
echo "List cross-sections in /xs to check dates"
cd $DIRXS
ls -l XSOUT*.edi | cut -c 33-
echo "  "
ls -l XSOUT*.N | cut -c 33-
echo "  "

echo "End of transfer, check if XS were well transfered"
