#!/bin/bash
echo "Begin runing all the supercell calculations in DRAGON"
DIR=`pwd`
DIR2=/home/descv/VHTR_SC1
if [ $DIR != $DIR2 ]; then
    echo "You must start from directory VHTR_SC1"
    echo "Your are now in directory :" $DIR
    exit 1
fi

NbG=(295 26 23 13 6 4 [7]=2)

echo "Number of groups structures : ${#NbG[*]}"

echo "Group strutures present in the script :"
for N in ${NbG[*]}
do
    printf "   %d " $N
done
printf "\n"

cd $DIR2/Cell_n18/
echo "Supercell #18"

for N in ${NbG[*]}
do
   printf "Begin supercell #18 %d Groups\n" $N
   rdragon4 supercell_$N"gr_33r.x2m" Multicompo26
   sleep 1s
done
echo ""
echo "Calculations in Cell 18 completed"
echo ""

cd $DIR2/Cell_n19/
echo "Supercell #19"

for N in ${NbG[*]}
do
   printf "Begin supercell #19 %d Groups\n" $N
   rdragon4 supercell_$N"gr_33r.x2m" Multicompo26
   sleep 1s
done
echo ""
echo "Calculations in Cell 19 completed"
echo ""


cd $DIR2/Cell_n13/
echo "Supercell #13"
#rdragon4 fuel_cell_295fr.x2m
#sleep 1s
#mv fuel_cell_295gr+Multicompo Multicompo

for N in ${NbG[*]}
do
   printf "Begin supercell #13 %d Groups\n" $N
   rdragon4 supercell_$N"gr_33r.x2m" Multicompo26
   sleep 1s
done
echo ""
echo "Calculations in Cell 13 completed"
echo ""

echo "List all outputs for supercell"
cd $DIR2/Cell_n18
echo "Cell #18"
ls -l supercell_* | cut -c 33-
cd ../Cell_n19
echo "Cell#19"
ls -l supercell_* | cut -c 33-
cd ../Cell_n13
echo "Cell #13"
ls -l supercell_* | cut -c 33-
echo "End of run_supercell.sh"



